Subject: Re: [ANNOUNCE] Git v2.20.0-rc2

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 04 Dec 2018 20:39:05 +0100

On Sat, Dec 01 2018, Junio C Hamano wrote:

>  * "git ls-remote $there foo" was broken by recent update for the
>    protocol v2 and stopped showing refs that match 'foo' that are not
>    refs/{heads,tags}/foo, which has been fixed.
>    (merge 6a139cdd74 jk/proto-v2-ref-prefix-fix later to maint).

I started bisecting this thinking it was a regression, but found that
the reason the instructions in the protocol v2 announcement[1] don't
work anymore is because of it was due to 631f0f8c4b ("ls-remote: do not
send ref prefixes for patterns", 2018-10-31).

Perhaps we should note this more prominently, and since Brandon isn't at
Google anymore can some of you working there edit this post? It's the
first Google result for "git protocol v2", so it's going to be quite
confusing for people if after 2.20 the instructions in it no longer
work.

1. https://opensource.googleblog.com/2018/05/introducing-git-protocol-version-2.html